###################################################
### chunk number 1: 
###################################################
#line 127 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
options( prompt = "R> ", ctinue = "+  ", width = 70, useFancyQuotes = FALSE )


###################################################
### chunk number 2: 
###################################################
#line 464 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
library( "micEconCES" )


###################################################
### chunk number 3: 
###################################################
#line 473 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
set.seed( 123 )
cesData <- data.frame(x1 = rchisq(200, 10), x2 = rchisq(200, 10),
   x3 = rchisq(200, 10), x4 = rchisq(200, 10) )
cesData$y2 <- cesCalc( xNames = c( "x1", "x2" ), data = cesData,
   coef = c( gamma = 1, delta = 0.6, rho = 0.5, nu = 1.1 ) )
cesData$y2 <- cesData$y2 + 2.5 * rnorm( 200 )
cesData$y3 <- cesCalc(xNames = c("x1", "x2", "x3"), data = cesData,
   coef = c( gamma = 1, delta_1 = 0.7, delta = 0.6, rho_1 = 0.3, rho = 0.5,
      nu = 1.1), nested = TRUE )
cesData$y3 <- cesData$y3 + 1.5 * rnorm(200)
cesData$y4 <- cesCalc(xNames = c("x1", "x2", "x3", "x4"), data = cesData,
   coef = c(gamma = 1, delta_1 = 0.7, delta_2 = 0.6, delta = 0.5,
   rho_1 = 0.3, rho_2 = 0.4, rho = 0.5, nu = 1.1), nested = TRUE )
cesData$y4 <- cesData$y4 + 1.5 * rnorm(200)


###################################################
### chunk number 4: 
###################################################
#line 519 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesNls <- nls( y2 ~ gamma * ( delta * x1^(-rho) + (1 - delta) * x2^(-rho) )^(-phi / rho),
   data = cesData, start = c( gamma = 0.5, delta = 0.5, rho = 0.25, phi = 1 ) )
print( cesNls )


###################################################
### chunk number 5: 
###################################################
#line 647 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesKmenta <- cesEst( yName = "y2", xNames = c( "x1", "x2" ), data = cesData, 
   method = "Kmenta", vrs = TRUE )


###################################################
### chunk number 6: 
###################################################
#line 653 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
summary( cesKmenta )


###################################################
### chunk number 7: 
###################################################
#line 668 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
coef( summary( cesKmenta$kmenta ) )


###################################################
### chunk number 8: 
###################################################
#line 681 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf( "plotFittedKmenta.pdf", width = 4, height = 4 )
par( mar = c( 4.5, 4, 1, 1 ) )


###################################################
### chunk number 9: 
###################################################
#line 685 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
compPlot ( cesData$y2, fitted( cesKmenta ), xlab = "actual values",
   ylab = "fitted values" )


###################################################
### chunk number 10: 
###################################################
#line 689 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
dev.off()


###################################################
### chunk number 11: 
###################################################
#line 766 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesLm2 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE )
summary( cesLm2 )


###################################################
### chunk number 12: 
###################################################
#line 771 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesLm3 <- cesEst( "y3", c( "x1", "x2", "x3" ), cesData, vrs = TRUE )
summary( cesLm3 )


###################################################
### chunk number 13: 
###################################################
#line 776 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesLm4 <- cesEst( "y4", c( "x1", "x2", "x3", "x4" ), cesData, vrs = TRUE )
summary( cesLm4 )


###################################################
### chunk number 14: 
###################################################
#line 784 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf( "plotFittedLm.pdf", width = 9, height = 3 )
par( mar = c( 4.5, 4, 3, 1 ), mfrow = c( 1, 3 ) )


###################################################
### chunk number 15: 
###################################################
#line 788 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
compPlot ( cesData$y2, fitted( cesLm2 ), xlab = "actual values",
   ylab = "fitted values", main = "two-input CES" )
compPlot ( cesData$y3, fitted( cesLm3 ), xlab = "actual values",
   ylab = "fitted values", main = "three-input nested CES" )
compPlot ( cesData$y4, fitted( cesLm4 ), xlab = "actual values",
   ylab = "fitted values", main = "four-input nested CES" )


###################################################
### chunk number 16: 
###################################################
#line 796 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
dev.off()


###################################################
### chunk number 17: 
###################################################
#line 853 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesCg <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "CG" )
summary( cesCg )


###################################################
### chunk number 18: 
###################################################
#line 864 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesCg2 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "CG",
   control = list( maxit = 1000, reltol = 1e-5 ) )
summary( cesCg2 )


###################################################
### chunk number 19: 
###################################################
#line 892 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesNewton <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE,
   method = "Newton" )
summary( cesNewton )


###################################################
### chunk number 20: 
###################################################
#line 925 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesBfgs <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "BFGS" )
summary( cesBfgs )


###################################################
### chunk number 21: 
###################################################
#line 973 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesNm <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE,
   method = "NM" )
summary( cesNm )


###################################################
### chunk number 22: 
###################################################
#line 1004 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesSann <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN" )
summary( cesSann )


###################################################
### chunk number 23: 
###################################################
#line 1017 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesSann2 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN" )
all.equal( cesSann, cesSann2 )


###################################################
### chunk number 24: 
###################################################
#line 1024 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesSann3 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN",
   random.seed = 1234 )
cesSann4 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN",
   random.seed = 12345 )
cesSann5 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN",
   random.seed = 123456 )
m <- rbind( cesSann = coef( cesSann ), cesSann3 = coef( cesSann3 ),
   cesSann4 = coef( cesSann4 ), cesSann5 = coef( cesSann5 ) )
rbind( m, stdDev = sd( m ) )


###################################################
### chunk number 25: 
###################################################
#line 1039 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesSannB <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN",
   control = list( maxit = 100000 ) )
cesSannB3 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN",
   random.seed = 1234, control = list( maxit = 100000 ) )
cesSannB4 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN",
   random.seed = 12345, control = list( maxit = 100000 ) )
cesSannB5 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "SANN",
   random.seed = 123456, control = list( maxit = 100000 ) )
m <- rbind( cesSannB = coef( cesSannB ), cesSannB3 = coef( cesSannB3 ),
   cesSannB4 = coef( cesSannB4 ), cesSannB5 = coef( cesSannB5 ) )
rbind( m, stdDev = sd( m ) )


###################################################
### chunk number 26: 
###################################################
#line 1080 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesDe <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   control = list( trace = FALSE ) )
summary( cesDe )


###################################################
### chunk number 27: 
###################################################
#line 1090 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesDe2 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   control = list( trace = FALSE ) )
all.equal( cesDe, cesDe2 )


###################################################
### chunk number 28: 
###################################################
#line 1098 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesDe3 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   random.seed = 1234, control = list( trace = FALSE ) )
cesDe4 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   random.seed = 12345, control = list( trace = FALSE ) )
cesDe5 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   random.seed = 123456, control = list( trace = FALSE ) )
m <- rbind( cesDe = coef( cesDe ), cesDe3 = coef( cesDe3 ),
   cesDe4 = coef( cesDe4 ), cesDe5 = coef( cesDe5 ) )
rbind( m, stdDev = sd( m ) )


###################################################
### chunk number 29: 
###################################################
#line 1119 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesDeB <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   control = list( trace = FALSE, itermax = 1000 ) )
cesDeB3 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   random.seed = 1234, control = list( trace = FALSE, itermax = 1000 ) )
cesDeB4 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   random.seed = 12345, control = list( trace = FALSE, itermax = 1000 ) )
cesDeB5 <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE, method = "DE",
   random.seed = 123456, control = list( trace = FALSE, itermax = 1000 ) )
rbind( cesDeB = coef( cesDeB ), cesDeB3 = coef( cesDeB3 ),
   cesDeB4 = coef( cesDeB4 ), cesDeB5 = coef( cesDeB5 ) )


###################################################
### chunk number 30: 
###################################################
#line 1182 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesLbfgsb <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE,
   method = "L-BFGS-B" )
summary( cesLbfgsb )


###################################################
### chunk number 31: 
###################################################
#line 1204 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesPort <- cesEst( "y2", c( "x1", "x2" ), cesData, vrs = TRUE,
   method = "PORT" )
summary( cesPort )


###################################################
### chunk number 32: 
###################################################
#line 1261 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesData$t <- c( 1:200 )
cesData$yt <- cesCalc( xNames = c( "x1", "x2" ), data = cesData, tName = "t",
   coef = c( gamma = 1, delta = 0.6, rho = 0.5, nu = 1.1, lambda = 0.01 ) )
cesData$yt <- cesData$yt + 2.5 * rnorm( 200 ) 
cesTech <- cesEst( "yt", c( "x1", "x2" ), data = cesData, tName = "t",
   vrs = TRUE, method = "LM" )
summary( cesTech )


###################################################
### chunk number 33: 
###################################################
#line 1326 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesGrid <- cesEst( "y2", c( "x1", "x2" ), data = cesData, vrs = TRUE,
   rho = seq( from = -0.3, to = 1.5, by = 0.1 ) )
summary( cesGrid )


###################################################
### chunk number 34: 
###################################################
#line 1339 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf( "plotGrid.pdf", width = 4, height = 4 )
par( mar = c( 4.5, 4, 1, 1 ) )


###################################################
### chunk number 35: 
###################################################
#line 1343 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
plot( cesGrid )


###################################################
### chunk number 36: 
###################################################
#line 1346 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
dev.off()


###################################################
### chunk number 37: 
###################################################
#line 1367 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
ces4Grid <- cesEst( yName = "y4", xNames = c( "x1", "x2", "x3", "x4" ),
   data = cesData, method = "LM",
   rho1 = seq( from = -0.6, to = 0.9, by = 0.3 ),
   rho2 = seq( from = -0.4, to = 0.8, by = 0.2 ),
   rho = seq( from = -0.3, to = 1.7, by = 0.2 ) )
summary( ces4Grid )


###################################################
### chunk number 38: 
###################################################
#line 1386 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf("plotGrid4.pdf", width = 4, height = 8 )


###################################################
### chunk number 39: 
###################################################
#line 1389 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
plot( ces4Grid )


###################################################
### chunk number 40: 
###################################################
#line 1392 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
dev.off()


###################################################
### chunk number 41: 
###################################################
#line 1409 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesStartGrid <- cesEst( "y2", c( "x1", "x2" ), data = cesData, vrs = TRUE,
   start = coef( cesGrid ) )
summary( cesStartGrid )

ces4StartGrid <- cesEst( "y4", c( "x1", "x2", "x3", "x4" ), data = cesData,
   start = coef( ces4Grid ) )
summary( ces4StartGrid )


###################################################
### chunk number 42: 
###################################################
#line 1559 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf( "plotCesCalcRho.pdf", width = 4.2, height = 4 )
par( mar = c( 4.5, 4, 1.5, 1 ) )


###################################################
### chunk number 43: 
###################################################
#line 1563 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
rhoData <- data.frame( rho = seq( -2e-6, 2e-6, 5e-9 ),
   yCES = NA, yLin = NA )
# calculate dependent variables
for( i in 1:nrow( rhoData ) ) {
   # vector of coefficients
   cesCoef <- c( gamma = 1, delta = 0.6, rho = rhoData$rho[ i ], nu = 1.1 )
   rhoData$yLin[ i ] <- cesCalc( xNames = c( "x1", "x2" ), data = cesData[1,],
      coef = cesCoef, rhoApprox = Inf )
   rhoData$yCES[ i ] <- cesCalc( xNames = c( "x1", "x2" ), data = cesData[1,],
      coef = cesCoef, rhoApprox = 0 )
}
# normalise output variables
rhoData$yCES <- rhoData$yCES - rhoData$yLin[ rhoData$rho == 0 ]
rhoData$yLin <- rhoData$yLin - rhoData$yLin[ rhoData$rho == 0 ]
plot( rhoData$rho, rhoData$yCES, type = "l", col = "red",
   xlab = "rho", ylab = "y (normalised, red = CES, black = linearised)" )
lines( rhoData$rho, rhoData$yLin )


###################################################
### chunk number 44: 
###################################################
#line 1582 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
dev.off()


###################################################
### chunk number 45: 
###################################################
#line 1602 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf( "plotCesCalcRho2.pdf", width = 4.2, height = 4 )
par( mar = c( 4.5, 4, 1.5, 1 ) )
rhoData <- data.frame( rho = seq( -1, 3, 5e-2 ),
   yCES = NA, yLin = NA )
# calculate dependent variables
for( i in 1:nrow( rhoData ) ) {
   # vector of coefficients
   cesCoef <- c( gamma = 1, delta = 0.6, rho = rhoData$rho[ i ], nu = 1.1 )
   rhoData$yLin[ i ] <- cesCalc( xNames = c( "x1", "x2" ), data = cesData[1,],
      coef = cesCoef, rhoApprox = Inf )
   rhoData$yCES[ i ] <- cesCalc( xNames = c( "x1", "x2" ), data = cesData[1,],
      coef = cesCoef, rhoApprox = 0 )
}
# normalise output variables
rhoData$yCES <- rhoData$yCES - rhoData$yLin[ rhoData$rho == 0 ]
rhoData$yLin <- rhoData$yLin - rhoData$yLin[ rhoData$rho == 0 ]
plot( rhoData$rho, rhoData$yCES, type = "l", col = "red",
   xlab = "rho", ylab = "y (normalised, red = CES, black = linearised)" )
lines( rhoData$rho, rhoData$yLin )
dev.off()


###################################################
### chunk number 46: 
###################################################
#line 2113 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
data( "GrowthDJ", package = "AER" )
GrowthDJ <- subset( GrowthDJ, oil == "no" )


###################################################
### chunk number 47: 
###################################################
#line 2122 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
GrowthDJ$x1 <- 1
GrowthDJ$x2 <- ( GrowthDJ$popgrowth + 5 ) / GrowthDJ$invest


###################################################
### chunk number 48: 
###################################################
#line 2132 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesNls <- cesEst( "gdp85", c( "x1", "x2"), data = GrowthDJ )
summary( cesNls, ela = FALSE)


###################################################
### chunk number 49: 
###################################################
#line 2138 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cat( "alpha =", ( coef( cesNls )[ "delta" ] - 1 ) / coef( cesNls )[ "delta" ], "\n" )
cat( "sigma =", 1 / ( 1 - coef( cesNls )[ "rho" ] ), "\n" )


###################################################
### chunk number 50: 
###################################################
#line 2153 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cdNls <- cesEst( "gdp85", c( "x1", "x2"), data = GrowthDJ, rho = 0 )
summary( cdNls, ela = FALSE )
cat( "alpha =", ( coef( cdNls )[ "delta" ] - 1 ) /  coef( cdNls )[ "delta" ], "\n" )


###################################################
### chunk number 51: 
###################################################
#line 2167 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cdLog <- cesEst( "gdp85", c( "x1", "x2"), data = GrowthDJ, rho = 0, multErr = TRUE )
summary( cdLog, ela = FALSE )
cat( "alpha =", ( coef( cdLog )[ "delta" ] - 1 ) /  coef( cdLog )[ "delta" ], "\n" )


###################################################
### chunk number 52: 
###################################################
#line 2249 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
data( "GermanIndustry" )
GermanIndustry$time <- GermanIndustry$year - 1960
GermanIndustry <- subset( GermanIndustry, year < 1973 | year > 1975, )


###################################################
### chunk number 53: 
###################################################
#line 2258 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesNls1 <- try( nls( Y ~ gamma * exp( lambda * time ) *
   ( delta2 * ( delta1 * K ^(-rho1) +
      ( 1 - delta1 ) * E^(-rho1) )^( rho / rho1 ) +
   ( 1 - delta2 ) * A^(-rho) )^( - 1 / rho ),
   start = c( gamma = 1, lambda = 0.015, delta1 = 0.5,
      delta2 = 0.5, rho1= 0.2, rho = 0.2 ),
   data = GermanIndustry ) )
cat( cesNls1 )


###################################################
### chunk number 54: 
###################################################
#line 2274 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesLm1 <- cesEst( "Y", c( "K", "E", "A" ), tName = "time",
   data = GermanIndustry,
   control = nls.lm.control( maxiter = 1024, maxfev = 2000 ) )
summary( cesLm1 )


###################################################
### chunk number 55: 
###################################################
#line 2318 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesPort1 <- cesEst( "Y", c( "K", "E", "A" ), tName = "time",
   data = GermanIndustry, method = "PORT",
   control = list( iter.max = 1000, eval.max = 2000) )
summary( cesPort1 )


###################################################
### chunk number 56: 
###################################################
#line 2361 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
GermanIndustry$K1 <- GermanIndustry$K * exp( 0.0222 * GermanIndustry$time )
GermanIndustry$E1 <- GermanIndustry$E * exp( 0.0222 * GermanIndustry$time )
GermanIndustry$A1 <- GermanIndustry$A * exp( 0.0222 * GermanIndustry$time )
cesLmFixed1 <- cesEst( "Y",  c( "K1", "E1", "A1" ), data = GermanIndustry,
   rho1 = 0.5300, rho = 0.1813,
   control = nls.lm.control( maxiter = 1000, maxfev = 2000 ) )
summary( cesLmFixed1 )


###################################################
### chunk number 57: 
###################################################
#line 2555 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
rhoVec <- c(seq(-1, 1, 0.1), seq(1.2, 4, 0.2), seq(4.4, 14, 0.4))


###################################################
### chunk number 58:  eval=FALSE
###################################################
## #line 2558 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
## cesLmGridRho1 <- cesEst("Y", c("K", "E", "A"), tName = "time", 
##    data = GermanIndustry, 
##    control = nls.lm.control(maxiter = 1000, maxfev = 2000), 
##    rho1 = rhoVec, rho = rhoVec)


###################################################
### chunk number 59: 
###################################################
#line 2564 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
load(system.file("Kemfert98Nest1GridLm.RData", package = "micEconCES"))


###################################################
### chunk number 60: 
###################################################
#line 2567 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
print(cesLmGridRho1)


###################################################
### chunk number 61: 
###################################################
#line 2573 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf( "kemfertGrid.pdf", width = 7, height = 7 )
par( mar = c( 0, 1.5, 3, 0 ) )


###################################################
### chunk number 62: 
###################################################
#line 2577 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
plot( cesLmGridRho1 )


###################################################
### chunk number 63: 
###################################################
#line 2580 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
dev.off()


###################################################
### chunk number 64: 
###################################################
#line 2612 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
pdf( "kemfertGridBest.pdf", width = 7, height = 7 )
par( mar = c( 0, 1.5, 3, 0 ) )


###################################################
### chunk number 65: 
###################################################
#line 2616 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
cesLmGridRho1a <- cesLmGridRho1
cesLmGridRho1a$rssArray[ cesLmGridRho1a$rssArray >= 5000 ] <- NA
plot( cesLmGridRho1a )


###################################################
### chunk number 66: 
###################################################
#line 2621 "d:/Rcompile/CRANpkg/local/2.12/micEconCES/inst/doc/CES.Rnw"
dev.off()


